<component-section>
  <div slot="title">Architectural Frameworks</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SA-begrip-raamwerk"]'
      >legt
      <strong>architectuurraamwerk</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt de internationale architectuurnorm ISO/IEC/IEEE 42010 uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-raamwerk"]'
      >legt het <strong>4+1 View Model</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-raamwerk"]'
      >legt het <strong>C4 View Model</strong>
      uit.
    </component-intendedlearningoutcome>
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <a href="bron/material/ISO_IEC_IEEE_42010.pdf"
        >NEN-ISO/IEC/IEEE 42010:2011 Systems and software engineering — Architecture description</a
      >
    </p>
    <p class="bron">
      <a href="bron/material/Kruchten_4+1ViewModel.pdf"
        >Kruchten, P. (1995). The 4+1 View Model of Architecture. IEEE Software,12(6), 42-50</a
      >
    </p>
    <p class="bron">
      <a href="bron/material/Brown_Simon_SWADevelopers-V2018-02-02.pdf"
        >Brown, S. (2013). Software Architecture for Developers Volume 1. Leanpub</a
      >
    </p>
    <p class="bron">
      <a href="bron/material/visualising-software-architecture.pdf"
        >Brown, S. (2013). Software Architecture for Developers Volume 2. Leanpub</a
      >
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <component-exercise>
      <p><strong>Kruchten 4+1:</strong></p>
      <ol>
        <li>Werk in een groep van 3 a 5 studenten.</li>
        <li>Gebruik aantekeningen en opdrachten uit eerdere weken.</li>
        <li>Lees (indien nodig) HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Maak een eerste versie van de Physical View en herhaal bij de Development View.</li>
        <li>Maak een korte (5 minuten) Presentatie van bovenstaande.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 2</div>
    <component-exercise>
      <p><strong>Simon Brown C4:</strong></p>
      <ol>
        <li>Werk in een groep van 3 a 5 studenten.</li>
        <li>Gebruik aantekeningen en opdrachten uit eerdere weken.</li>
        <li>Lees (indien nodig) HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Maak een eerste versie van de System Context Diagram, Container Diagram en 1 Component Diagram.</li>
        <li>Maak een korte (5 minuten) Presentatie van bovenstaande.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW6.pdf">Lesweek 6</a>
      </li>
    </ul>
  </component-section>
  <component-section extra>
    <div slot="title">Verdieping</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/material/software-architecture-for-developers.pdf"
          >Presentatie Software Architecture for Developers, Simon Brown</a
        >
      </li>
      <li class="bron">
        <a href="bron/material/visualising-software-architecture-with-the-c4-model.pdf"
          >Presentatie Visualising Software Architecture C4 Model, Simon Brown</a
        >
      </li>
      <li class="bron">
        <a href="https://structurizr.com/share/59853/">Voorbeeld C4 Framework</a>
      </li>
    </ul>
  </component-section>
</component-section>
